com.tibbo.aggregate.common.filter

## Class Contains

- java.lang.Object
- - com.tibbo.aggregate.common.filter.Operation
  - - com.tibbo.aggregate.common.filter.BinaryOperation
    - - com.tibbo.aggregate.common.filter.BinaryStringOperation
      - - com.tibbo.aggregate.common.filter.Contains

- All Implemented Interfaces:
    Expression

      public abstract class Contains
      extends BinaryStringOperation

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `NAME`

    - ### Fields inherited from class com.tibbo.aggregate.common.filter.BinaryOperation

      `operand1, operand2`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Contains(Expression operand1, Expression operand2)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.Object` | `binaryEvaluation(java.lang.Object operand1, java.lang.Object operand2)`

    - ### Methods inherited from class com.tibbo.aggregate.common.filter.BinaryStringOperation

      `evaluateOperands`

    - ### Methods inherited from class com.tibbo.aggregate.common.filter.BinaryOperation

      `evaluate, getChildren, getOperandCount`

    - ### Methods inherited from class com.tibbo.aggregate.common.filter.Operation

      `getName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.tibbo.aggregate.common.filter.Expression

      `getDescription, getPriority`

- - ### Field Detail

    - #### NAME

          public static final java.lang.String NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Contains

          public Contains(Expression operand1,
                          Expression operand2)

  - ### Method Detail

    - #### binaryEvaluation

          protected java.lang.Object binaryEvaluation(java.lang.Object operand1,
                                                      java.lang.Object operand2)

      Specified by:
        `binaryEvaluation` in class `BinaryOperation`